apply plugin: 'com.android.application'

android {
    compileSdkVersion 30 // 30 = Android 11
    defaultConfig {
        applicationId "net.moasdawiki.app"
        minSdkVersion 26 // 26 = Oreo 8.0
        targetSdkVersion 30 // should be same as compileSdkVersion
        versionCode 20
        versionName "2.4.2.0"
        archivesBaseName = "moasdawiki-" + versionName + "-" + versionCode
    }
    sourceSets {
        main {
            java {
                exclude "net/moasdawiki/plugin/sync/SynchronizationPlugin*"
            }
        }
    }
    compileOptions {
        sourceCompatibility = 1.8
        targetCompatibility = 1.8
    }
}

dependencies {
    implementation 'net.moasdawiki:moasdawiki-server:2.4.2'
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.preference:preference:1.1.1'
    compileOnly 'org.jetbrains:annotations:20.1.0'
    testImplementation 'org.testng:testng:7.3.0'
}
